ABIs [arm64-v8a,armeabi-v7a,armeabi] set by 'android.injected.build.abi' gradle flag contained 'ARMEABI, ARM64_V8A' not targeted by this project.
你使用NDK时,出现了上面的这个错误,运行项目时,会发现apk中,没有生成相应的动态库。上面报错和AndroidStudio版本有一定关系,有一种简单的解决方案,就是不管上面的错误,只要我们在build.gradle中,明确指定将哪个平台的动态库打包进apk中就可以了,如下

 

再次运行项目,你会发现,依然有上面的警告信息,但我们的apk确实包含了so库。